Main Page Class Hierarchy Alphabetical List Compound List Examples

Public Member Functions | Protected Member Functions | List of all members
MessageId Struct Reference

`#include <messageid.h>`

Inheritance diagram for MessageId:

## Public Member Functions

| MessageId (uint32_t thread_id=0)
| MessageId (const std::string &)
std::string | str () const
void | set (const std::string &)

## Protected Member Functions

FieldValue * | clone () const
Protected Member Functions inherited from FieldValue
bool | typeChecked () const
void | typeChecked (bool)

## Detailed Description

Message-ID field value On Win32 Winsock library must be initialized before using this class.

## Member Function Documentation

## ◆ clone()

FieldValue * clone | ( |  | ) | const

protected virtual

Implements FieldValue.

## ◆ set()

void set | ( | const std::string & |  | ) |

virtual

Implements FieldValue.

## ◆ str()

std::string str | ( |  | ) | const

virtual

Implements FieldValue.

The documentation for this struct was generated from the following file:

- messageid.h